---
search:
  tags:
    - Training
    - GET
seo:
  description: >-
    One mesocycle with its calendar, day plans (slots), and planned sets per…
    Reference for the GET /api/training/mesocycles/{id} endpoint in the skcal
    API.
sidebar:
  label: Get a mesocycle
  badge: GET
title: Get a mesocycle
type: openapi-operation
---
One mesocycle with its calendar, day plans (slots), and planned sets per muscle per week beside each muscle's landmarks.

`GET /api/training/mesocycles/{id}`

**Responses**

- `200` — The mesocycle.
- `404` — No matching resource owned by the caller.

Response example, 200:

```json
{
  "ok": true,
  "week": 2,
  "day": 1,
  "exerciseName": "Barbell Bench Press",
  "muscle": "chest"
}
```
